var ViewContainer = function() {
	this.launch = plus.webview.getLaunchWebview();
	this.views = [];
	this.currview = "";
};

ViewContainer.prototype.getConfig = function(id) {
	switch(id) {
		case "index":
			return page.index;
		case "classifies":
			return page.classifies;
		case "orders":
			return page.orders;
		case "member":
			return page.member;
		default:
			return false;
	}
};

ViewContainer.prototype.show = function(url) {

}

ViewContainer.prototype.subShow = function(id) {
	var view = plus.webview.getWebviewById(id);
	var cfg = this.getConfig(id);

	if(!view) {
		plus.nativeUI.showWaiting();
		view = plus.webview.create(cfg.url, cfg.id, cfg.style);
		helper.setJsFiles(view, cfg.jsFile);
		if(cfg.cssFile != undefined && cfg.cssFile != "")
			view.setCssFile(cfg.cssFile);

		/*if(cfg.subviews != undefined) {
			if(cfg.subviews.constructor == Array)
				mui.each(cfg.subviews, function(key, value) {
					var _sub = new plus.nativeObj.View(value.id, value.style, value.tags);
					view.append(_sub);
				});
			else
				view.append(new plus.nativeObj.View(cfg.subviews.id, cfg.subviews.style, cfg.subviews.tags));
		}*/
		
		if(id == 'index'){
			this.createIndexView(view);
		}

		this.launch.append(view);
		view.onloaded = function() {
			plus.nativeUI.closeWaiting();
		};
		this.views.push(id);
	} else if(id != 'index') {
		plus.nativeUI.showWaiting();
		view.loadURL(cfg.url);
	}
	view.show();
	this.currview = id;
	this.hideSibling();
	return view;
}

ViewContainer.prototype.createIndexView = function(view){
	var pageWidth= window.innerWidth;
	var bg_left= pageWidth / 10 - 27;
	
	mui.each(index_subview,function(key,subview){
		subview.tags[0].position.left=bg_left;
		subview.tags[1].position.left=bg_left;
		view.append(new plus.nativeObj.View(subview.id,subview.style,subview.tags));
		
	});
}

ViewContainer.prototype.hideSibling = function() {
	for(var i in this.views) {
		//		console.log("hideSibling:" + this.currview + " | " + this.views[i] + " bool:" + (this.views[i] != "index" && this.currview != this.views[i]));
		if(this.views[i] != "index" && this.currview != this.views[i]) {
			//			console.log(" hide:" + this.views[i]);
			plus.webview.hide(this.views[i]);
		}

	}
}

ViewContainer.prototype.back = function() {
	this.currview = "index";
	plus.webview.show(this.currview);
	return true;
}