console.log("config.js is loaded");
var color = {
	primary: "#24b34a",
};
var prefix = "https://api.donglanzhu.com/app";

var url = {
	index: prefix,
	goods_class: prefix + "/goods/goodsclassificationlist",
	goods_list: prefix + "/goods/goodslist",
	goods_cart: prefix + "/goods/cart",
	my_orders: prefix + "/order/myorderlist",
	member: prefix + "/member/index",
	search: prefix + "/goods/goodssearchlist?sear_name=",
	select_city: "_www/pages/select-city.html"

};

var api = {
	check_login: prefix + "/index/apichecklogin",
	login: prefix + "/login/index",
	city_info: prefix + "/City/getCityInfo?city=",
}

var page = {
	index: {
		id: 'index',
		url: prefix,
		login: false,
		style: {
			top: 0, //新页面顶部位置
			bottom: 50, //新页面底部位置
			width: "100%", //新页面宽度，默认为100%
			titleNView: {
				titleText: '', //导航栏标题
				backgroundColor: '#24b34a', //导航栏背景色
				autoBackButton: "false", //自动绘制返回箭头
				tags: [{
					"tag": "font",
					"id": "city",
					"text": "位置 \uf3d0",
					"position": {
						"top": "0",
						"left": "3%",
						"width": "17%",
						"height": "100%"
					},
					"textStyles": {
						"align": "left",
						"size": "14px",
						"color": "#fff",
						"fontSrc": "_www/fonts/ionicons.ttf"
					}
				}, {
					"tag": "rect",
					"id": "searchInputBg",
					position: {
						top: "7",
						left: "20%",
						width: "65%",
						height: "30px"
					},
					rectStyles: {
						color: "#fff",
						radius: "15px"
					}

				}, {
					"tag": "input",
					"id": "searchInputBox",
					position: {
						top: "7",
						left: "20%",
						width: "55%",
						height: "30px"
					},
					inputStyles: {
						type: "text",
						placeholder: "搜索服务",
						fontSize: "14px",
						borderColor: "#ffffff",
						borderRadius: "15px",
						borderWidth: "0px",
						onComplete:function(e){console.log("state 1");helper.showSearchByWord(e.text);}
					}
				}, {
					tag: "font",
					id: "searchInputIcon",
					text: "\uf4a4",
					position: {
						"top": "7",
						"left": "75%",
						"width": "10%",
						"height": "30px"
					},
					textStyles: {
						align: "center",
						size: "21px",
						color: "#888",
						fontSrc: "_www/fonts/ionicons.ttf"
					}
				}, {
					tag: "font",
					id: "cartIcon",
					text: "\uf3f8",
					position: {
						top: "0",
						left: "85%",
						width: "15%",
						height: "100%"
					},
					textStyles: {
						align: "center",
						size: "26px",
						color: "#fff",
						fontSrc: "_www/fonts/ionicons.ttf"
					}
				}]
			}
		}
	},
	classifies: {
		id: 'classifies',
		url: "https://api.donglanzhu.com/app/goods/goodsclassificationlist",
		login: false,
		style: {
			top: 0, //新页面顶部位置
			bottom: 50, //新页面底部位置
			width: "100%", //新页面宽度，默认为100%
			titleNView: {
				titleText: '服务分类', //导航栏标题
				backgroundColor: '#24b34a', //导航栏背景色
				autoBackButton: "true", //自动绘制返回箭头
				titleColor: "#ffffff"
			}
		}
	},

	orders: {
		id: 'orders',
		url: "https://api.donglanzhu.com/app/order/myorderlist",
		login: true,
		style: {
			top: 0, //新页面顶部位置
			bottom: 50, //新页面底部位置
			width: "100%", //新页面宽度，默认为100%
			titleNView: {
				titleText: '我的订单', //导航栏标题
				backgroundColor: '#24b34a', //导航栏背景色
				autoBackButton: "true", //自动绘制返回箭头
				titleColor: "#ffffff",
				buttons: [{
					color: "#ffffff",
					float: "right",
					fontSize: "21px",
					fontSrc: "_www/fonts/ionicons.ttf",
					text: "\uf459",
					onclick: function(e) {
						helper.reload('my_orders')
					}
				}]
			}
		}
	},
	member: {
		id: 'member',
		url: "https://api.donglanzhu.com/app/member/index",
		login: true,
		style: {
			top: 0, //新页面顶部位置
			bottom: 50, //新页面底部位置
			width: "100%", //新页面宽度，默认为100%
			titleNView: {
				titleText: '个人中心', //导航栏标题
				backgroundColor: '#24b34a', //导航栏背景色
				autoBackButton: "true", //自动绘制返回箭头
				titleColor: "#ffffff"
			}
		}
	}
}

var index_subview = [{
		id: "item_1",
		style: {
			position: "absolute",
			left: "0",
			top: "0",
			width: "20%",
			height: "95px",
			backgroundColor: "#fff"
		},
		tags: [{
				id: "item_1_bg",
				tag: "rect",
				position: {
					left: "0",
					top: "10px",
					width: "54px",
					height: "54px"
				},
				rectStyles: {
					color: "#4fcb6b",
					radius: "27px"
				}
			}, {
				id: "item_1_icon",
				tag: "font",
				text: "\ue7f4",
				position: {
					left: "0",
					top: "10px",
					width: "54px",
					height: "54px"
				},
				textStyles: {
					align: "center",
					color: "#fff",
					fontSrc: "_www/fonts/iconfont.ttf",
					size: "28px"
				}
			},
			{
				id: "item_1_text",
				tag: "font",
				text: "日常",
				position: {
					left: "0",
					top: "70px",
					width: "100%",
					height: "18px"
				},
				textStyles: {
					align: "center",
					color: "#888",
					size: "12px"
				}
			}
		]
	},
	{
		id: "item_2",
		style: {
			position: "absolute",
			left: "20%",
			top: "0",
			width: "20%",
			height: "95px",
			backgroundColor: "#fff"
		},
		tags: [{
				id: "item_2_bg",
				tag: "rect",
				position: {
					left: "0",
					top: "10px",
					width: "54px",
					height: "54px"
				},
				rectStyles: {
					color: "#f54085",
					radius: "27px"
				}
			}, {
				id: "item_2_icon",
				tag: "font",
				text: "\ue808",
				position: {
					left: "0",
					top: "11px",
					width: "54px",
					height: "54px"
				},
				textStyles: {
					align: "center",
					color: "#fff",
					fontSrc: "_www/fonts/iconfont.ttf",
					size: "24px"
				}
			},
			{
				id: "item_2_text",
				tag: "font",
				text: "月嫂",
				position: {
					left: "0",
					top: "70px",
					width: "100%",
					height: "18px"
				},
				textStyles: {
					align: "center",
					color: "#888",
					size: "12px"
				}
			}
		]
	},
	{
		id: "item_3",
		style: {
			position: "absolute",
			left: "40%",
			top: "0",
			width: "20%",
			height: "95px",
			backgroundColor: "#fff"
		},
		tags: [{
				id: "item_3_bg",
				tag: "rect",
				position: {
					left: "0",
					top: "10px",
					width: "54px",
					height: "54px"
				},
				rectStyles: {
					color: "#fc843a",
					radius: "27px"
				}
			}, {
				id: "item_3_icon",
				tag: "font",
				text: "\ue686",
				position: {
					left: "0",
					top: "11px",
					width: "54px",
					height: "54px"
				},
				textStyles: {
					align: "center",
					color: "#fff",
					fontSrc: "_www/fonts/iconfont.ttf",
					size: "28px"
				}
			},
			{
				id: "item_3_text",
				tag: "font",
				text: "家居",
				position: {
					left: "0",
					top: "70px",
					width: "100%",
					height: "18px"
				},
				textStyles: {
					align: "center",
					color: "#888",
					size: "12px"
				}
			}
		]
	}, {
		id: "item_4",
		style: {
			position: "absolute",
			left: "60%",
			top: "0",
			width: "20%",
			height: "95px",
			backgroundColor: "#fff"
		},
		tags: [{
				id: "item_4_bg",
				tag: "rect",
				position: {
					left: "0",
					top: "10px",
					width: "54px",
					height: "54px"
				},
				rectStyles: {
					color: "#0fbaf2",
					radius: "27px"
				}
			}, {
				id: "item_4_icon",
				tag: "font",
				text: "\ue603",
				position: {
					left: "0",
					top: "12px",
					width: "54px",
					height: "54px"
				},
				textStyles: {
					align: "center",
					color: "#fff",
					fontSrc: "_www/fonts/iconfont.ttf",
					size: "30px"
				}
			},
			{
				id: "item_4_text",
				tag: "font",
				text: "生活",
				position: {
					left: "0",
					top: "70px",
					width: "100%",
					height: "18px"
				},
				textStyles: {
					align: "center",
					color: "#888",
					size: "12px"
				}
			}
		]
	}, {
		id: "item_5",
		style: {
			position: "absolute",
			left: "80%",
			top: "0",
			width: "20%",
			height: "95px",
			backgroundColor: "#fff"
		},
		tags: [{
				id: "item_5_bg",
				tag: "rect",
				position: {
					left: "0",
					top: "10px",
					width: "54px",
					height: "54px"
				},
				rectStyles: {
					color: "#6d91e9",
					radius: "27px"
				}
			}, {
				id: "item_5_icon",
				tag: "font",
				text: "\ue653",
				position: {
					left: "0",
					top: "11px",
					width: "54px",
					height: "54px"
				},
				textStyles: {
					align: "center",
					color: "#fff",
					fontSrc: "_www/fonts/iconfont.ttf",
					size: "26px"
				}
			},
			{
				id: "item_5_text",
				tag: "font",
				text: "全部分类",
				position: {
					left: "0",
					top: "70px",
					width: "100%",
					height: "18px"
				},
				textStyles: {
					align: "center",
					color: "#888",
					size: "12px"
				}
			}
		]
	}
];