var BottomTabBar = function() {
	this.id = "bottomTabBar";
	this.nview = new plus.nativeObj.View(this.id, this.style, this.tags);
}

BottomTabBar.prototype.ACTIVE_COLOR = "#24b34a";
BottomTabBar.prototype.NORMAL_COLOR = "#666666";

BottomTabBar.prototype.style = {
	height: '50px',
	position: 'absolute',
	left: '0',
	bottom: '0',
	width: '100%',
	backgroundColor: "#ffffff"
};

BottomTabBar.prototype.tags = [{
	tag: "font",
	id: "indexIcon",
	text: "\uf447",
	toggle: "\uf448",
	position: {
		top: "5px",
		left: "0%",
		width: "25%",
		height: "24px"
	},
	textStyles: {
		fontSrc: "_www/fonts/ionicons.ttf",
		align: "center",
		size: "24px",
		color: "#24b34a"
	}
}, {
	tag: "font",
	id: "indexText",
	text: "首页",
	position: {
		top: "28px",
		left: "0%",
		width: "25%",
		height: "22px"
	},
	textStyles: {
		align: "center",
		size: "12px",
		color: "#24b34a"
	}
}, {
	tag: "font",
	id: "newsIcon",
	text: "\uf44f",
	toggle: "\uf450",
	position: {
		top: "5px",
		left: "25%",
		width: "25%",
		height: "24px"
	},
	textStyles: {
		fontSrc: "_www/fonts/ionicons.ttf",
		align: "center",
		size: "24px",
		color: "#666666"
	}
}, {
	tag: "font",
	id: "newsText",
	text: "分类",
	position: {
		top: "28px",
		left: "25%",
		width: "25%",
		height: "22px"
	},
	textStyles: {
		align: "center",
		size: "12px",
		color: "#666666"
	}
}, {
	tag: "font",
	id: "contactIcon",
	text: "\uf453",
	toggle: "\uf454",
	position: {
		top: "5px",
		left: "50%",
		width: "25%",
		height: "24px"
	},
	textStyles: {
		fontSrc: "_www/fonts/ionicons.ttf",
		align: "center",
		size: "24px",
		color: "#666666"
	}
}, {
	tag: "font",
	id: "contactText",
	text: "订单",
	position: {
		top: "28px",
		left: "50%",
		width: "25%",
		height: "22px"
	},
	"textStyles": {
		align: "center",
		size: "12px",
		color: "#666666"
	}
}, {
	tag: "font",
	id: "newwindowIcon",
	text: "\uf47d",
	toggle: "\uf47e",

	position: {
		top: "5px",
		left: "75%",
		width: "25%",
		height: "24px"
	},
	textStyles: {
		fontSrc: "_www/fonts/ionicons.ttf",
		align: "center",
		size: "24px",
		color: "#666666"
	}
}, {
	tag: "font",
	id: "newwindowText",
	text: "我的",
	position: {
		top: "28px",
		left: "75%",
		width: "25%",
		height: "22px"
	},
	textStyles: {
		align: "center",
		size: "12px",
		color: "#666666"
	}
}, {
	tag: "rect",
	id: "tabBorder",
	position: {
		top: "0",
		left: "0",
		width: "100%",
		height: "1px"
	},
	rectStyles: {
		color: "#eeeeee"
	}
}];

BottomTabBar.prototype.toggleNView = function(currIndex) {
		currIndex = currIndex * 2;
		// 重绘当前tag 包括icon和text，所以执行两个重绘操作
		this.updateSubNView(currIndex, this.ACTIVE_COLOR, true);
		this.updateSubNView(currIndex + 1, this.ACTIVE_COLOR);
		// 重绘兄弟tag 反之排除当前点击的icon和text
		for(var i = 0; i < 8; i++) {
			if(i !== currIndex && i !== currIndex + 1) {
				this.updateSubNView(i, this.NORMAL_COLOR);
			}
		}
};

BottomTabBar.prototype.changeColor = function(obj, color) {
	obj.color = color;
	return obj;
};

BottomTabBar.prototype.updateSubNView = function(currIndex, color, curr) {
	var self = plus.webview.getLaunchWebview(),
		nviewEvent = plus.nativeObj.View.getViewById(this.id),
		currTag = this.tags[currIndex];
	var text = currTag.toggle != null && curr ? currTag.toggle : currTag.text;
	this.nview.drawText(text, currTag.position, this.changeColor(currTag.textStyles, color), currTag.id);
}